Loading...
Searching...
No Matches
seqan3::range_innermost_value< t > Struct Template Reference
Core » Range

Recursively determines the value_type on containers and/or iterators. More...

`#include <seqan3/core/range/type_traits.hpp>`

Inheritance diagram for seqan3::range_innermost_value< t >:
[legend]

## Public Types

using | type = std::ranges::range_value_t<std::remove_cvref_t<t>>
| The return type (recursion not shown).

## Detailed Description

template<typename t>
requires detail::has_range_value_type<t>
struct seqan3::range_innermost_value< t >

Recursively determines the value_type on containers and/or iterators.

Template Parameters

  t | The type to recurse on; must have std::ranges::value_type_t<rng_t>.

Attention, this transformation trait implicitly removes cv-qualifiers on all value_types except the one returned.

See also
  Range

The documentation for this struct was generated from the following file:

- core/range/type_traits.hpp

Hide me